<?php

namespace App\Modules\ExternalReview\Domain;

use App\Modules\GroupPassenger\Domain\IdGroupPassenger;
use App\Modules\Shared\Domain\DateEnd;
use App\Modules\Shared\Domain\DateStart;

interface ExternalReviewRepository
{

    public function index(IdExternalReview $id);
    public function groupFind(IdGroupPassenger $idGroupPassenger, string $action);
    public function find(string $action, DateStart $dateStart, DateEnd $dateEnd);
    public function insert(InsertExternalReview $value);
    public function update(UpdateExternalReview $value);
    public function delete(IdExternalReview $id);
}
